Retrieves all the article stock location lists
Request Information
URI Parameters :
None.
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
article_stock_location_list| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| article_stock_location_id |
Foreign key of the article_stock_location |
globally unique identifier |
Optionally required : article_stock_location_id, article_stock_location_reference_back_office or article_stock_location must be provided |
| article_stock_location_reference_back_office | string |
Optionally required : article_stock_location_id, article_stock_location_reference_back_office or article_stock_location must be provided |
|
| article_stock_location |
Embedded entity "article_stock_location" using ERP PK when adding/updating |
article_stock_location |
Optionally required : article_stock_location_id,article_stock_location_reference_back_office or article_stock_location must be provided |
| article_id |
Foreign key of article |
globally unique identifier |
Optionally required : article_id, article_code or article must be provided |
| article_code |
Embedded entity "article" using ERP PK when adding/updating |
string |
Optionally required : article_id, article_code or article must be provided |
| article |
Embedded entity "article" when adding/updating |
article |
Optionally required : article_id, article_code or article must be provided |
| quantity |
Quantity in stock for this article, for this stock (decimal, up to 2 decimal places) |
decimal number |
Required |
| reference_back_office |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 255 |
| sys_computed_eco_stock |
Quantity in stock computed for the article after all stock movements (Read-only) |
decimal number | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "1c7b0816-412a-44c7-8f96-f700b378458a",
"article_stock_location_id": "9fdff3d4-96b4-49b7-97c6-c733378b708e",
"article_stock_location_reference_back_office": "sample string 3",
"article_id": "7d54b08c-3320-49a1-ad6d-f734b717cfb1",
"article_code": "sample string 5",
"quantity": 6.0,
"reference_back_office": "sample string 7",
"sys_computed_eco_stock": 8.0,
"modified_dateutc": "2026-11-03T06:13:34.1046016+00:00"
}